#!/usr/bin/env python3
# -*- coding: utf-8 -*-

# System modules
from time import sleep

# Custom modules
from utils.logger import log
from templates.basetemplate import BaseTemplate


class Template(BaseTemplate):
    def __init__(self):
        super().__init__()
        self.name = __name__
        self.description = "Test template"

    def content(self, params):

        for a in range(1, 10):
            log.info(f"Paused is {self.paused}, aborted {self.aborted}")
            sleep(1)
            self.check_pause_or_abort()
            if self.aborted:
                break

        log.info(f"Paused is {self.paused}")
